Update OpenSSL v CentOS5.x

centostroubleshootingtux1CentOS 5.6 obsahuje openssl ve verzi 0.9.8e, která je z mnoha důvodů nepoužitelná. Na problémy je možné narazit například při vytváření VPN certifikátů, které není možné vytvořit pro delší období. Toto však není zdaleka jediný problém. Nová verze je dostupná až pro RHEL/SL/CentOS6 a Fedoru. Kompilování vlastního balíčku naráží na mnoho problémů kvůli závislostem. Ještě zde však stále existuje možnost vypomoci si standardní instalací ze zdrojového balíčku. Samozřejmě je třeba mít v systému všechny potřebné „ingredience“, jako například make, gcc, crypto-utils atd.  Pokud je vše připraveno tak nám nic nebrání v dalším postupu (jako root):
 

$ cd /usr/local/src $ wget -N http://www.openssl.org/source/openssl-1.0.0d.tar.gz $ tar -xzvf openssl-1.0.0d.tar.gz  $ cd openssl-1.0.0d  $ ./configure $ make $ make install $ alias cp=cp $ cp /usr/local/ssl/bin/openssl /usr/bin/openssl $ cd /usr/local/ssl/include $ ln -s /usr/local/ssl/include/openssl openssl 
Update OpenSSL v CentOS5.x